Bug 712248 - getconf returns incorrect FILESIZEBITS for Lustre filesystem
Summary: getconf returns incorrect FILESIZEBITS for Lustre filesystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.3
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-09 22:34 UTC by Andreas Dilger
Modified: 2016-11-24 16:03 UTC (History)
3 users (show)

Fixed In Version: glibc-2.12-1.35.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:47:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add Lustre filesystem to getconf/pathconf (1.81 KB, application/octet-stream)
2011-06-09 22:34 UTC, Andreas Dilger
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Andreas Dilger 2011-06-09 22:34:50 UTC
Created attachment 504000 [details]
Add Lustre filesystem to getconf/pathconf

Description of problem:

One of our users reported a problem with:

getconf FILESIZEBITS {path to lustre file}

returning "32" for files within Lustre, even though Lustre supports files
larger than 2^32 bytes in size.  It turns out that "getconf" uses statfs()
to implement a lookup table of filesystem magic number->bits values that
does not understand the Lustre filesystem type.

Version-Release number of selected component (if applicable):

glibc-2.12

How reproducible:

always

Steps to Reproduce:
1. mount lustre filesystem
2. getconf FILESIZEBITS {path to lustre file}

  
Actual results:

"32"

Expected results:

"64"

Additional info:

A similar problem exists for "getconf LINK_MAX {path to lustre file}"
incorrectly returning 127 instead of 65000.

The attached patch fixes both cases for getconf.  I believe that there is
already a definition for LUSTRE_SUPER_MAGIC in your version of glibc for
a long time already, because "stat -f {path to lustre}" can correctly
identify the filesystem type as "lustre".

A full patch (including statvfs() support and LUSTRE_SUPER_MAGIC) against
glibc-2.14 has been sent to the upstream glibc bugzilla:

http://sourceware.org/bugzilla/show_bug.cgi?id=12868

Comment 5 errata-xmlrpc 2011-12-06 17:47:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.